{"openapi":"3.1.0","info":{"title":"ScrollStash API","version":"1.0.0","description":"Ad-creative intelligence over 5M+ Facebook/Meta ads. Generated from @scrollstash/contract.","contact":{"name":"ScrollStash","url":"https://scrollstash.com","email":"hello@scrollstash.com"}},"servers":[{"url":"https://api.scrollstash.com"}],"tags":[{"name":"system","description":"system operations"},{"name":"brands","description":"brands operations"},{"name":"categories","description":"categories operations"},{"name":"rankings","description":"rankings operations"},{"name":"ads","description":"ads operations"},{"name":"creatives","description":"creatives operations"},{"name":"pages","description":"pages operations"},{"name":"operators","description":"operators operations"},{"name":"tools","description":"tools operations"},{"name":"audience","description":"audience operations"},{"name":"me","description":"me operations"},{"name":"apiKeys","description":"apiKeys operations"},{"name":"radar","description":"radar operations"},{"name":"alerts","description":"alerts operations"},{"name":"briefs","description":"briefs operations"},{"name":"reports","description":"reports operations"},{"name":"collections","description":"collections operations"},{"name":"notes","description":"notes operations"}],"paths":{"/v1/system/freshness":{"get":{"operationId":"system.freshness","summary":"Corpus size, last scrape time and per-category coverage.","description":"Corpus size, last scrape time and per-category coverage. Scope `system:read`; cache `hourly`.","tags":["system"],"security":[{"bearerAuth":[]}],"x-scope":"system:read","x-cache":"hourly","x-freshness":true,"parameters":[],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"ads_total":{"type":"integer","minimum":0,"maximum":9007199254740991},"brands_total":{"type":"integer","minimum":0,"maximum":9007199254740991},"brands_with_usable_data":{"type":"integer","minimum":0,"maximum":9007199254740991},"last_scrape_at":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"data_version":{"type":"string"},"coverage":{"type":"array","items":{"type":"object","properties":{"category_slug":{"type":"string"},"brands":{"type":"integer","minimum":0,"maximum":9007199254740991},"brands_scraped_7d":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["category_slug","brands","brands_scraped_7d"],"additionalProperties":false}}},"required":["ads_total","brands_total","brands_with_usable_data","last_scrape_at","data_version","coverage"],"additionalProperties":false},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":{"ads_total":5622374,"brands_total":8522,"brands_with_usable_data":4131,"last_scrape_at":"2026-09-14T13:19:40.000Z","data_version":"2026-09-14T07:10:00Z","coverage":[{"category_slug":"content-and-media","brands":474,"brands_scraped_7d":1},{"category_slug":"ecommerce","brands":6724,"brands_scraped_7d":1496},{"category_slug":"finance-and-fintech","brands":222,"brands_scraped_7d":1},{"category_slug":"gaming","brands":49,"brands_scraped_7d":2},{"category_slug":"saas-and-apps","brands":452,"brands_scraped_7d":4},{"category_slug":"services","brands":591,"brands_scraped_7d":7}]},"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands/{brandId}":{"get":{"operationId":"brands.get","summary":"One brand (by id or slug) with its current ad statistics.","description":"One brand (by id or slug) with its current ad statistics. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","x-freshness":true,"parameters":[{"name":"brandId","in":"path","required":true,"schema":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"}]}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"name":{"type":"string"},"domain":{"type":"string","pattern":"^[a-z0-9.-]+\\.[a-z]{2,}$"},"url":{"type":"string","format":"uri"},"logo_url":{"anyOf":[{"type":"string","format":"uri"},{"type":"null"}]},"country":{"anyOf":[{"type":"string","pattern":"^[A-Z]{2}$"},{"type":"null"}]},"category":{"anyOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"name":{"type":"string"}},"required":["id","slug","name"],"additionalProperties":false},{"type":"null"}]},"mid_category":{"anyOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"name":{"type":"string"}},"required":["id","slug","name"],"additionalProperties":false},{"type":"null"}]},"active_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"total_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"new_ads_7d":{"type":"integer","minimum":0,"maximum":9007199254740991},"indexable":{"type":"boolean"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"description":{"anyOf":[{"type":"string"},{"type":"null"}]},"inactive_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"new_ads_30d":{"type":"integer","minimum":0,"maximum":9007199254740991},"retired_ads_7d":{"type":"integer","minimum":0,"maximum":9007199254740991},"retired_ads_30d":{"type":"integer","minimum":0,"maximum":9007199254740991},"avg_ad_lifespan_days":{"anyOf":[{"type":"number","minimum":0},{"type":"null"}]},"last_ad_seen_at":{"anyOf":[{"type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"},{"type":"null"}]},"formats":{"type":"object","propertyNames":{"type":"string","enum":["video","image","carousel","dco","other"]},"additionalProperties":{"type":"integer","minimum":0,"maximum":9007199254740991},"required":["video","image","carousel","dco","other"]},"top_countries":{"type":"array","items":{"type":"object","properties":{"country":{"type":"string","pattern":"^[A-Z]{2}$"},"ads":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["country","ads"],"additionalProperties":false}}},"required":["id","slug","name","domain","url","logo_url","country","category","mid_category","active_ads","total_ads","new_ads_7d","indexable","as_of","description","inactive_ads","new_ads_30d","retired_ads_7d","retired_ads_30d","avg_ad_lifespan_days","last_ad_seen_at","formats","top_countries"],"additionalProperties":false},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991},"freshness":{"type":"object","properties":{"as_of":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},{"type":"null"}]},"last_reliable_at":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},{"type":"null"}]},"next_due":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},{"type":"null"}]},"freshness_tier":{"type":"string","enum":["daily","weekly","census"]}},"required":["as_of","last_reliable_at","next_due","freshness_tier"],"additionalProperties":false}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":{"id":"ec2162ee-080a-43fd-a1e6-3ada13f362c1","slug":"gymshark","name":"Gymshark","domain":"gymshark.com","url":"https://scrollstash.com/brands/gymshark","logo_url":"https://cdn.scrollstash.com/images/logos/ec2162ee-080a-43fd-a1e6-3ada13f362c1.jpeg","country":"GB","category":{"id":"e5bea112-9ffe-4f87-8fa2-5bc7026762fe","slug":"ecommerce","name":"Ecommerce"},"mid_category":{"id":"2f0738af-cf41-4d8d-9020-d7de145189c5","slug":"apparel-and-accessories","name":"Apparel & Accessories"},"active_ads":440,"total_ads":3082,"new_ads_7d":104,"indexable":true,"as_of":"2026-09-16T01:02:03.900Z","description":"Gymshark is a premier online fitness apparel brand that designs and sells high-performance workout clothing and activewear for athletes and fitness enthusiasts. Their product line focuses on innovative, stylish athletic wear that supports performance and personal fitness goals.","inactive_ads":2642,"new_ads_30d":711,"retired_ads_7d":0,"retired_ads_30d":754,"avg_ad_lifespan_days":6.9,"last_ad_seen_at":"2026-09-16","formats":{"video":0,"image":0,"carousel":0,"dco":440,"other":0},"top_countries":[{"country":"US","ads":440}]},"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands":{"get":{"operationId":"brands.list","summary":"Public brands, filterable by category, country and name, sorted by activity.","description":"Public brands, filterable by category, country and name, sorted by activity. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","parameters":[{"name":"limit","in":"query","required":false,"schema":{"default":20,"type":"integer","minimum":1,"maximum":100}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}},{"name":"category_id","in":"query","required":false,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},{"name":"country","in":"query","required":false,"schema":{"type":"string","pattern":"^[A-Z]{2}$"}},{"name":"q","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"letter","in":"query","required":false,"schema":{"type":"string","pattern":"^[a-z]$"}},{"name":"sort","in":"query","required":false,"schema":{"default":"active_ads","type":"string","enum":["active_ads","new_ads_7d","name"]}}],"responses":{"200":{"description":"A page; `meta.cursor` is present when more follow.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"name":{"type":"string"},"domain":{"type":"string","pattern":"^[a-z0-9.-]+\\.[a-z]{2,}$"},"url":{"type":"string","format":"uri"},"logo_url":{"anyOf":[{"type":"string","format":"uri"},{"type":"null"}]},"country":{"anyOf":[{"type":"string","pattern":"^[A-Z]{2}$"},{"type":"null"}]},"category":{"anyOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"name":{"type":"string"}},"required":["id","slug","name"],"additionalProperties":false},{"type":"null"}]},"mid_category":{"anyOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"name":{"type":"string"}},"required":["id","slug","name"],"additionalProperties":false},{"type":"null"}]},"active_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"total_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"new_ads_7d":{"type":"integer","minimum":0,"maximum":9007199254740991},"indexable":{"type":"boolean"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"}},"required":["id","slug","name","domain","url","logo_url","country","category","mid_category","active_ads","total_ads","new_ads_7d","indexable","as_of"],"additionalProperties":false}},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":[{"id":"1f536093-575c-461a-bd57-cafedb19d136","slug":"mfamily","name":"mfamily","domain":"mfamilystore.com","url":"https://scrollstash.com/brands/mfamily","logo_url":"https://cdn.scrollstash.com/images/logos/1f536093-575c-461a-bd57-cafedb19d136.png","country":"US","category":{"id":"e5bea112-9ffe-4f87-8fa2-5bc7026762fe","slug":"ecommerce","name":"Ecommerce"},"mid_category":{"id":"2f0738af-cf41-4d8d-9020-d7de145189c5","slug":"apparel-and-accessories","name":"Apparel & Accessories"},"active_ads":12185,"total_ads":19083,"new_ads_7d":10500,"indexable":true,"as_of":"2026-09-16T01:04:56.762Z"},{"id":"cb2feb17-949d-4cd8-8fae-2b973ce09fd2","slug":"comfrt","name":"Comfrt","domain":"comfrt.com","url":"https://scrollstash.com/brands/comfrt","logo_url":"https://cdn.scrollstash.com/images/logos/cb2feb17-949d-4cd8-8fae-2b973ce09fd2.jpeg","country":"US","category":{"id":"e5bea112-9ffe-4f87-8fa2-5bc7026762fe","slug":"ecommerce","name":"Ecommerce"},"mid_category":{"id":"2f0738af-cf41-4d8d-9020-d7de145189c5","slug":"apparel-and-accessories","name":"Apparel & Accessories"},"active_ads":11625,"total_ads":52119,"new_ads_7d":8005,"indexable":true,"as_of":"2026-09-16T01:51:50.382Z"},{"id":"78ac9007-3c4b-458b-9e19-339f1afaa250","slug":"haus","name":"Haus","domain":"gohaus.com","url":"https://scrollstash.com/brands/haus","logo_url":"https://cdn.scrollstash.com/images/logos/78ac9007-3c4b-458b-9e19-339f1afaa250.png","country":"US","category":{"id":"e5bea112-9ffe-4f87-8fa2-5bc7026762fe","slug":"ecommerce","name":"Ecommerce"},"mid_category":{"id":"2f0738af-cf41-4d8d-9020-d7de145189c5","slug":"apparel-and-accessories","name":"Apparel & Accessories"},"active_ads":6895,"total_ads":10563,"new_ads_7d":4857,"indexable":true,"as_of":"2026-09-16T04:30:14.238Z"}],"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}},"empty page":{"value":{"data":[],"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}},"directory letter":{"value":{"data":[{"id":"6723d8e5-2cba-4818-a21c-d16dcdfeefbb","slug":"g3-fashions","name":"G3+ Fashions","domain":"g3fashion.com","url":"https://scrollstash.com/brands/g3-fashions","logo_url":"https://cdn.scrollstash.com/images/logos/6723d8e5-2cba-4818-a21c-d16dcdfeefbb.jpeg","country":"US","category":{"id":"e5bea112-9ffe-4f87-8fa2-5bc7026762fe","slug":"ecommerce","name":"Ecommerce"},"mid_category":{"id":"2f0738af-cf41-4d8d-9020-d7de145189c5","slug":"apparel-and-accessories","name":"Apparel & Accessories"},"active_ads":0,"total_ads":25,"new_ads_7d":0,"indexable":true,"as_of":"2026-09-03T04:30:14.642Z"},{"id":"513fa0f7-77d0-48ab-91dd-1ec8edc7bb60","slug":"gabb","name":"Gabb","domain":"gabb.com","url":"https://scrollstash.com/brands/gabb","logo_url":"https://cdn.scrollstash.com/images/logos/513fa0f7-77d0-48ab-91dd-1ec8edc7bb60.png","country":"US","category":{"id":"e5bea112-9ffe-4f87-8fa2-5bc7026762fe","slug":"ecommerce","name":"Ecommerce"},"mid_category":{"id":"37841814-8ca4-4e1c-8d9e-8ddc1e61f6de","slug":"electronics","name":"Electronics"},"active_ads":22,"total_ads":28,"new_ads_7d":3,"indexable":true,"as_of":"2026-09-11T04:30:14.464Z"},{"id":"a8fd6829-bdec-4a67-9db2-9c443892dd86","slug":"gaia-herbs","name":"Gaia Herbs","domain":"gaiaherbs.com","url":"https://scrollstash.com/brands/gaia-herbs","logo_url":"https://cdn.scrollstash.com/images/logos/a8fd6829-bdec-4a67-9db2-9c443892dd86.jpeg","country":"US","category":{"id":"e5bea112-9ffe-4f87-8fa2-5bc7026762fe","slug":"ecommerce","name":"Ecommerce"},"mid_category":{"id":"d8c7c51a-8569-4a44-8587-b418651540ff","slug":"health-and-beauty","name":"Health & Beauty"},"active_ads":0,"total_ads":210,"new_ads_7d":0,"indexable":true,"as_of":"2026-09-08T05:06:24.193Z"}],"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands/sitemap":{"get":{"operationId":"brands.sitemap","summary":"Indexable brand pages for sitemap generation (slug, url, last update), optionally within a category at any level.","description":"Indexable brand pages for sitemap generation (slug, url, last update), optionally within a category at any level. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","parameters":[{"name":"limit","in":"query","required":false,"schema":{"default":20,"type":"integer","minimum":1,"maximum":100}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}},{"name":"category_id","in":"query","required":false,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}],"responses":{"200":{"description":"A page; `meta.cursor` is present when more follow.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"url":{"type":"string","format":"uri"},"updated_at":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"}},"required":["slug","url","updated_at"],"additionalProperties":false}},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":[{"slug":"100-pure","url":"https://scrollstash.com/brands/100-pure","updated_at":"2026-09-07T04:30:13.150Z"},{"slug":"100-senses","url":"https://scrollstash.com/brands/100-senses","updated_at":"2026-09-02T04:41:31.637Z"},{"slug":"111skin","url":"https://scrollstash.com/brands/111skin","updated_at":"2026-09-14T04:30:13.555Z"}],"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands/{brandId}/velocity":{"get":{"operationId":"brands.velocity","summary":"Weekly ad counts for one brand: every ISO week with an observed day. active_ads is the latest observed day's value; new_ads and retired_ads sum reliable days only (reliable_days, 0–7, says how many) — shade weeks with reliable_days 0.","description":"Weekly ad counts for one brand: every ISO week with an observed day. active_ads is the latest observed day's value; new_ads and retired_ads sum reliable days only (reliable_days, 0–7, says how many) — shade weeks with reliable_days 0. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","x-freshness":true,"parameters":[{"name":"brandId","in":"path","required":true,"schema":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"}]}},{"name":"weeks","in":"query","required":false,"schema":{"default":12,"type":"integer","minimum":1,"maximum":52}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"week_start":{"type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"},"active_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"new_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"retired_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"reliable_days":{"type":"integer","minimum":0,"maximum":7}},"required":["week_start","active_ads","new_ads","retired_ads","reliable_days"],"additionalProperties":false}},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":[{"week_start":"2026-08-24","active_ads":983,"new_ads":367,"retired_ads":303,"reliable_days":7},{"week_start":"2026-08-31","active_ads":352,"new_ads":37,"retired_ads":562,"reliable_days":7},{"week_start":"2026-09-07","active_ads":389,"new_ads":44,"retired_ads":0,"reliable_days":7},{"week_start":"2026-09-14","active_ads":456,"new_ads":67,"retired_ads":0,"reliable_days":3}],"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands/{brandId}/breakdown":{"get":{"operationId":"brands.breakdown","summary":"Active ads by creative format for one brand.","description":"Active ads by creative format for one brand. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","parameters":[{"name":"brandId","in":"path","required":true,"schema":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"}]}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"formats":{"type":"object","propertyNames":{"type":"string","enum":["video","image","carousel","dco","other"]},"additionalProperties":{"type":"integer","minimum":0,"maximum":9007199254740991},"required":["video","image","carousel","dco","other"]},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"}},"required":["formats","as_of"],"additionalProperties":false},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":{"formats":{"video":0,"image":0,"carousel":0,"dco":440,"other":0},"as_of":"2026-09-16T01:02:03.900Z"},"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands/{brandId}/similar":{"get":{"operationId":"brands.similar","summary":"Sites Similarweb rates as similar to this brand, by affinity, linked to tracked brands.","description":"Sites Similarweb rates as similar to this brand, by affinity, linked to tracked brands. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","parameters":[{"name":"brandId","in":"path","required":true,"schema":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"}]}},{"name":"limit","in":"query","required":false,"schema":{"default":8,"type":"integer","minimum":1,"maximum":50}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"domain":{"type":"string","minLength":1,"maxLength":253},"affinity":{"type":"number","minimum":0,"maximum":1},"similarweb_category":{"anyOf":[{"type":"string"},{"type":"null"}]},"brand":{"anyOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"name":{"type":"string"},"logo_url":{"anyOf":[{"type":"string","format":"uri"},{"type":"null"}]},"url":{"type":"string","format":"uri"}},"required":["id","slug","name","logo_url","url"],"additionalProperties":false},{"type":"null"}]},"monthly_visits":{"anyOf":[{"type":"number","minimum":0},{"type":"null"}]},"global_ranking":{"anyOf":[{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},{"type":"null"}]}},"required":["domain","affinity","similarweb_category","brand","monthly_visits","global_ranking"],"additionalProperties":false}},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":[{"domain":"alphaleteathletics.com","affinity":1,"similarweb_category":"Lifestyle~Fashion_and_Apparel","brand":null,"monthly_visits":null,"global_ranking":null},{"domain":"youngla.com","affinity":1,"similarweb_category":"Lifestyle~Fashion_and_Apparel","brand":{"id":"d64f5bc4-c9e6-49bc-9429-1ef1253d9e68","slug":"youngla","name":"YoungLA","logo_url":"https://cdn.scrollstash.com/images/logos/d64f5bc4-c9e6-49bc-9429-1ef1253d9e68.jpeg","url":"https://scrollstash.com/brands/youngla"},"monthly_visits":5430906,"global_ranking":7353},{"domain":"gymreapers.com","affinity":0.967391304347826,"similarweb_category":"Sports~Sports","brand":{"id":"b03e86bb-2a00-4f73-b739-b0cf5e5d9759","slug":"gymreapers","name":"GYMREAPERS","logo_url":"https://cdn.scrollstash.com/images/logos/b03e86bb-2a00-4f73-b739-b0cf5e5d9759.jpeg","url":"https://scrollstash.com/brands/gymreapers"},"monthly_visits":679821,"global_ranking":65990}],"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands/{brandId}/trajectory":{"get":{"operationId":"brands.trajectory","summary":"Similarweb global / category rank and monthly visits over time, oldest first.","description":"Similarweb global / category rank and monthly visits over time, oldest first. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","parameters":[{"name":"brandId","in":"path","required":true,"schema":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"}]}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"date":{"type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"},"global_ranking":{"anyOf":[{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},{"type":"null"}]},"category_ranking":{"anyOf":[{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},{"type":"null"}]},"monthly_visits":{"anyOf":[{"type":"number","minimum":0},{"type":"null"}]}},"required":["date","global_ranking","category_ranking","monthly_visits"],"additionalProperties":false}},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":[{"date":"2025-05-10","global_ranking":3236,"category_ranking":67,"monthly_visits":9836133.70071135},{"date":"2025-10-03","global_ranking":4491,"category_ranking":110,"monthly_visits":10442439.1889095},{"date":"2026-03-02","global_ranking":3010,"category_ranking":78,"monthly_visits":15651960.9222632},{"date":"2026-04-05","global_ranking":3010,"category_ranking":78,"monthly_visits":15651960.9222632},{"date":"2026-05-03","global_ranking":3010,"category_ranking":78,"monthly_visits":15651960.9222632},{"date":"2026-06-07","global_ranking":3010,"category_ranking":78,"monthly_visits":15651960.9222632},{"date":"2026-07-05","global_ranking":3010,"category_ranking":78,"monthly_visits":15651960.9222632},{"date":"2026-08-13","global_ranking":2919,"category_ranking":81,"monthly_visits":16608824.1161188}],"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands/{brandId}/demographics":{"get":{"operationId":"brands.demographics","summary":"Similarweb audience gender and age shares for the brand's domain.","description":"Similarweb audience gender and age shares for the brand's domain. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","parameters":[{"name":"brandId","in":"path","required":true,"schema":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"}]}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"female":{"anyOf":[{"type":"number","minimum":0,"maximum":1},{"type":"null"}]},"male":{"anyOf":[{"type":"number","minimum":0,"maximum":1},{"type":"null"}]},"age_18_24":{"anyOf":[{"type":"number","minimum":0,"maximum":1},{"type":"null"}]},"age_25_34":{"anyOf":[{"type":"number","minimum":0,"maximum":1},{"type":"null"}]},"age_35_44":{"anyOf":[{"type":"number","minimum":0,"maximum":1},{"type":"null"}]},"age_45_54":{"anyOf":[{"type":"number","minimum":0,"maximum":1},{"type":"null"}]},"age_55_64":{"anyOf":[{"type":"number","minimum":0,"maximum":1},{"type":"null"}]},"age_65_plus":{"anyOf":[{"type":"number","minimum":0,"maximum":1},{"type":"null"}]}},"required":["female","male","age_18_24","age_25_34","age_35_44","age_45_54","age_55_64","age_65_plus"],"additionalProperties":false},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":{"female":0.547438325339248,"male":0.452561674660752,"age_18_24":0.209203140238038,"age_25_34":0.286895625808271,"age_35_44":0.182149074112014,"age_45_54":0.151489471271608,"age_55_64":0.102965712673791,"age_65_plus":0.0672969758962782},"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands/{brandId}/tech-stack":{"get":{"operationId":"brands.techStack","summary":"Platform tools detected on the brand's site, by tool category then name.","description":"Platform tools detected on the brand's site, by tool category then name. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","parameters":[{"name":"brandId","in":"path","required":true,"schema":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"}]}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"name":{"type":"string"},"category":{"type":"string"},"website_url":{"anyOf":[{"type":"string","format":"uri"},{"type":"null"}]},"url":{"type":"string","format":"uri"}},"required":["slug","name","category","website_url","url"],"additionalProperties":false}},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":[{"slug":"google-ads","name":"Google Ads","category":"ad_platform","website_url":null,"url":"https://scrollstash.com/tools/google-ads"},{"slug":"snapchat-ads","name":"Snapchat Ads","category":"ad_platform","website_url":null,"url":"https://scrollstash.com/tools/snapchat-ads"},{"slug":"tiktok-ads","name":"TikTok Ads","category":"ad_platform","website_url":null,"url":"https://scrollstash.com/tools/tiktok-ads"},{"slug":"mparticle","name":"mParticle","category":"cdp","website_url":null,"url":"https://scrollstash.com/tools/mparticle"},{"slug":"shopify","name":"Shopify","category":"ecommerce_platform","website_url":null,"url":"https://scrollstash.com/tools/shopify"},{"slug":"shopify-plus","name":"Shopify Plus","category":"ecommerce_platform","website_url":null,"url":"https://scrollstash.com/tools/shopify-plus"},{"slug":"klar","name":"Klar","category":"marketing_attribution","website_url":"https://heyklar.com/","url":"https://scrollstash.com/tools/klar"},{"slug":"klarna","name":"Klarna","category":"payment","website_url":null,"url":"https://scrollstash.com/tools/klarna"},{"slug":"shop-pay","name":"Shop Pay","category":"payment","website_url":null,"url":"https://scrollstash.com/tools/shop-pay"},{"slug":"yotpo","name":"Yotpo","category":"reviews","website_url":null,"url":"https://scrollstash.com/tools/yotpo"},{"slug":"attentive","name":"Attentive","category":"sms_marketing","website_url":null,"url":"https://scrollstash.com/tools/attentive"}],"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/workspaces/{ws}/tracked-brands":{"post":{"operationId":"brands.track","summary":"Track a brand in a workspace; the scraper hand-off happens asynchronously.","description":"Track a brand in a workspace; the scraper hand-off happens asynchronously. Scope `tracking:write`; cache `none`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"tracking:write","x-cache":"none","x-idempotent":true,"parameters":[{"name":"ws","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"brand_id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"cadence":{"default":"weekly","type":"string","enum":["daily","weekly"]}},"required":["brand_id"],"additionalProperties":false}}}},"responses":{"201":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"brand_id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"workspace_id":{"type":"string"},"cadence":{"type":"string","enum":["daily","weekly"]},"url":{"type":"string","format":"uri"},"created_at":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"}},"required":["brand_id","workspace_id","cadence","url","created_at"],"additionalProperties":false},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":{"brand_id":"6b1b1a9e-2d5f-4d3a-8f0e-1c2a3b4c5d6e","workspace_id":"org_2abc","cadence":"weekly","url":"https://app.scrollstash.com/w/org_2abc/monitor/tracked","created_at":"2026-09-14T03:00:00.000Z"},"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}},"get":{"operationId":"brands.tracked","summary":"The workspace's tracked brands, newest first, each with its current public summary.","description":"The workspace's tracked brands, newest first, each with its current public summary. Scope `brands:read`; cache `none`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"none","parameters":[{"name":"ws","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"default":20,"type":"integer","minimum":1,"maximum":100}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"A page; `meta.cursor` is present when more follow.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"brand":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"name":{"type":"string"},"domain":{"type":"string","pattern":"^[a-z0-9.-]+\\.[a-z]{2,}$"},"url":{"type":"string","format":"uri"},"logo_url":{"anyOf":[{"type":"string","format":"uri"},{"type":"null"}]},"country":{"anyOf":[{"type":"string","pattern":"^[A-Z]{2}$"},{"type":"null"}]},"category":{"anyOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"name":{"type":"string"}},"required":["id","slug","name"],"additionalProperties":false},{"type":"null"}]},"mid_category":{"anyOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"name":{"type":"string"}},"required":["id","slug","name"],"additionalProperties":false},{"type":"null"}]},"active_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"total_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"new_ads_7d":{"type":"integer","minimum":0,"maximum":9007199254740991},"indexable":{"type":"boolean"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"}},"required":["id","slug","name","domain","url","logo_url","country","category","mid_category","active_ads","total_ads","new_ads_7d","indexable","as_of"],"additionalProperties":false},"cadence":{"type":"string","enum":["daily","weekly"]},"created_at":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"freshness":{"type":"object","properties":{"as_of":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},{"type":"null"}]},"last_reliable_at":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},{"type":"null"}]},"next_due":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},{"type":"null"}]},"freshness_tier":{"type":"string","enum":["daily","weekly","census"]}},"required":["as_of","last_reliable_at","next_due","freshness_tier"],"additionalProperties":false}},"required":["brand","cadence","created_at","freshness"],"additionalProperties":false}},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":[{"brand":{"id":"6b1b1a9e-2d5f-4d3a-8f0e-1c2a3b4c5d6e","slug":"acme","name":"Acme","domain":"acme.com","url":"https://scrollstash.com/brands/acme","logo_url":null,"country":"US","category":null,"mid_category":null,"active_ads":128,"total_ads":1024,"new_ads_7d":30,"indexable":true,"as_of":"2026-09-14T03:00:00.000Z"},"cadence":"weekly","created_at":"2026-09-14T03:00:00.000Z","freshness":{"as_of":"2026-09-14T01:36:43.000Z","last_reliable_at":"2026-09-14T01:36:43.000Z","next_due":"2026-09-21T01:36:43.000Z","freshness_tier":"weekly"}}],"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/workspaces/{ws}/tracked-brands/freshness":{"get":{"operationId":"brands.trackedFreshness","summary":"Freshness SLO status of the workspace's tracked brands, most overdue first: the last reliable scrape session, when the next is due, and whether the cadence's SLO is breached.","description":"Freshness SLO status of the workspace's tracked brands, most overdue first: the last reliable scrape session, when the next is due, and whether the cadence's SLO is breached. Scope `brands:read`; cache `none`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"none","parameters":[{"name":"ws","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"brand":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"name":{"type":"string"},"logo_url":{"anyOf":[{"type":"string","format":"uri"},{"type":"null"}]},"url":{"type":"string","format":"uri"}},"required":["id","slug","name","logo_url","url"],"additionalProperties":false},"cadence":{"type":"string","enum":["daily","weekly"]},"freshness":{"type":"object","properties":{"as_of":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},{"type":"null"}]},"last_reliable_at":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},{"type":"null"}]},"next_due":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},{"type":"null"}]},"freshness_tier":{"type":"string","enum":["daily","weekly","census"]}},"required":["as_of","last_reliable_at","next_due","freshness_tier"],"additionalProperties":false},"slo_hours":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"hours_since_reliable":{"type":"integer","minimum":0,"maximum":9007199254740991},"slo_status":{"type":"string","enum":["ok","breached"]}},"required":["brand","cadence","freshness","slo_hours","hours_since_reliable","slo_status"],"additionalProperties":false}},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":[{"brand":{"id":"0b0f7a52-1f7e-4c0a-9d43-2d1f3c6a8b90","slug":"globex","name":"Globex","logo_url":null,"url":"https://scrollstash.com/brands/globex"},"cadence":"daily","freshness":{"as_of":"2026-09-13T02:10:00.000Z","last_reliable_at":"2026-09-12T01:05:00.000Z","next_due":"2026-09-13T01:05:00.000Z","freshness_tier":"daily"},"slo_hours":26,"hours_since_reliable":58,"slo_status":"breached"},{"brand":{"id":"6b1b1a9e-2d5f-4d3a-8f0e-1c2a3b4c5d6e","slug":"acme","name":"Acme","logo_url":null,"url":"https://scrollstash.com/brands/acme"},"cadence":"weekly","freshness":{"as_of":"2026-09-14T01:36:43.000Z","last_reliable_at":"2026-09-14T01:36:43.000Z","next_due":"2026-09-21T01:36:43.000Z","freshness_tier":"weekly"},"slo_hours":170,"hours_since_reliable":10,"slo_status":"ok"}],"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/workspaces/{ws}/tracked-brands/{brandId}":{"delete":{"operationId":"brands.untrack","summary":"Stop tracking a brand in a workspace; answers removed:false when it was not tracked.","description":"Stop tracking a brand in a workspace; answers removed:false when it was not tracked. Scope `tracking:write`; cache `none`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"tracking:write","x-cache":"none","x-idempotent":true,"parameters":[{"name":"ws","in":"path","required":true,"schema":{"type":"string"}},{"name":"brandId","in":"path","required":true,"schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{},"required":[],"additionalProperties":false}}}},"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"brand_id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"workspace_id":{"type":"string"},"removed":{"type":"boolean"}},"required":["brand_id","workspace_id","removed"],"additionalProperties":false},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":{"brand_id":"6b1b1a9e-2d5f-4d3a-8f0e-1c2a3b4c5d6e","workspace_id":"org_2abc","removed":true},"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands/{brandId}/facebook-pages":{"get":{"operationId":"brands.facebookPages","summary":"Facebook pages linked to the brand with their servable role (quarantined links dropped, unservable claims as UNVERIFIED), followers and ad counts, most ads first.","description":"Facebook pages linked to the brand with their servable role (quarantined links dropped, unservable claims as UNVERIFIED), followers and ad counts, most ads first. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","parameters":[{"name":"brandId","in":"path","required":true,"schema":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"}]}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"page_id":{"type":"string","pattern":"^\\d+$"},"page_name":{"anyOf":[{"type":"string"},{"type":"null"}]},"role":{"type":"string","enum":["OFFICIAL","INFLUENCER","CELEBRITY","SHADOW","SUB_BRAND","MEDIA","UNVERIFIED","UNCLASSIFIED","OTHER"]},"is_primary":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"attribution_scope":{"type":"string"},"profile_picture":{"anyOf":[{"type":"string"},{"type":"null"}]},"instagram_handle":{"anyOf":[{"type":"string"},{"type":"null"}]},"instagram_followers":{"anyOf":[{"type":"integer","minimum":0,"maximum":9007199254740991},{"type":"null"}]},"facebook_followers":{"anyOf":[{"type":"integer","minimum":0,"maximum":9007199254740991},{"type":"null"}]},"active_ads":{"anyOf":[{"type":"integer","minimum":0,"maximum":9007199254740991},{"type":"null"}]},"total_ads":{"anyOf":[{"type":"integer","minimum":0,"maximum":9007199254740991},{"type":"null"}]},"first_ad_date":{"anyOf":[{"type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"},{"type":"null"}]},"last_ad_date":{"anyOf":[{"type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"},{"type":"null"}]}},"required":["page_id","page_name","role","is_primary","attribution_scope","profile_picture","instagram_handle","instagram_followers","facebook_followers","active_ads","total_ads","first_ad_date","last_ad_date"],"additionalProperties":false}},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":[{"page_id":"107940537227344","page_name":"RYZE Superfoods","role":"OFFICIAL","is_primary":true,"attribution_scope":"page","profile_picture":"https://cdn.scrollstash.com/facebook/images/107940537227344/profile.jpg","instagram_handle":"ryzesuperfoods","instagram_followers":1232824,"facebook_followers":480289,"active_ads":4311,"total_ads":4311,"first_ad_date":null,"last_ad_date":null},{"page_id":"101073859363353","page_name":"Toyia Covington","role":"INFLUENCER","is_primary":false,"attribution_scope":"domain","profile_picture":"https://cdn.scrollstash.com/facebook/images/101073859363353/profile.jpg","instagram_handle":null,"instagram_followers":null,"facebook_followers":9701,"active_ads":3,"total_ads":3,"first_ad_date":null,"last_ad_date":null},{"page_id":"104630138813361","page_name":"Mushroomcoffeecorner","role":"INFLUENCER","is_primary":false,"attribution_scope":"page","profile_picture":"https://cdn.scrollstash.com/facebook/images/104630138813361/profile.jpg","instagram_handle":"mushroomcoffeecorner","instagram_followers":2097,"facebook_followers":3398,"active_ads":3,"total_ads":3,"first_ad_date":null,"last_ad_date":null},{"page_id":"202229839650115","page_name":"Erick Martinez Scharffenorth","role":"INFLUENCER","is_primary":false,"attribution_scope":"domain","profile_picture":"https://scontent.fmii5-1.fna.fbcdn.net/v/t39.35426-6/580991624_1559087968580261_5406243020758221639_n.jpg?stp=dst-jpg_s60x60_tt6&_nc_cat=102&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=Tq6jQbKG9soQ7kNvwH6NO6m&_nc_oc=AdmDiJsr2QhlRYQ737Z5v-K41ifEPoK6IM-QOLUHPTg2dIlgDtDmH03dMO2eI9EXsWDLuvJTkVdkX1ihvyJyeWc6&_nc_zt=14&_nc_ht=scontent.fmii5-1.fna&_nc_gid=VjOMwzNr2-ZVEU8sKv7cbw&oh=00_AftZ4ggvar0LYeV6IgQo8ypaCzO9kjukl3Es9NofppvP2g&oe=698B1764","instagram_handle":null,"instagram_followers":null,"facebook_followers":440,"active_ads":0,"total_ads":3,"first_ad_date":null,"last_ad_date":null},{"page_id":"101206816226343","page_name":"Jordan Staten","role":"INFLUENCER","is_primary":false,"attribution_scope":"domain","profile_picture":"https://cdn.scrollstash.com/facebook/images/101206816226343/profile.jpg","instagram_handle":"jordanstaten","instagram_followers":9596,"facebook_followers":4185,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"102085292742357","page_name":"Q Simonecde","role":"INFLUENCER","is_primary":false,"attribution_scope":"page","profile_picture":"https://cdn.scrollstash.com/facebook/images/102085292742357/profile.jpg","instagram_handle":"quinciesimone_","instagram_followers":48463,"facebook_followers":4577,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"104597868955020","page_name":"Damon S","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":"https://cdn.scrollstash.com/facebook/images/104597868955020/profile.jpg","instagram_handle":"creator.damon","instagram_followers":1502,"facebook_followers":328,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"104739355531837","page_name":"Healthy.mushroom.coffee","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":null,"instagram_handle":null,"instagram_followers":null,"facebook_followers":987,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"105897932473712","page_name":"chantee_ugc","role":"INFLUENCER","is_primary":false,"attribution_scope":"domain","profile_picture":"https://cdn.scrollstash.com/facebook/images/105897932473712/profile.jpg","instagram_handle":"chanteecreates","instagram_followers":5881,"facebook_followers":793,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"1087436764676695","page_name":"AdamW","role":"INFLUENCER","is_primary":false,"attribution_scope":"domain","profile_picture":null,"instagram_handle":null,"instagram_followers":null,"facebook_followers":8491624,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"1135436342978563","page_name":"Mounika Cuisine ","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":null,"instagram_handle":null,"instagram_followers":null,"facebook_followers":54,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"114418948237045","page_name":"Nina J Ortega","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":"https://scontent.fmii5-1.fna.fbcdn.net/v/t39.35426-6/582440007_1241452204443668_7689413130294848070_n.jpg?stp=dst-jpg_s60x60_tt6&_nc_cat=100&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=gvON3Njb_rMQ7kNvwHMKGk1&_nc_oc=AdlNNw6toRjeUGTSETWMqyPYgdvTmFDNbmx2PFiv2Gqm5T-lMcSDHC-PzzeHysJw8Q1LB_ZgiEPvTFSUa1KWKtJD&_nc_zt=14&_nc_ht=scontent.fmii5-1.fna&_nc_gid=mVZj-HHv9-b2RRE6dO9sTw&oh=00_Aftyin6fA3H8wGGXylJCHlH7QMzOE9QxISPLIRT5ZaQVlw&oe=698B0202","instagram_handle":null,"instagram_followers":0,"facebook_followers":1849,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"119176959478586","page_name":"vitts_kitchen","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":null,"instagram_handle":null,"instagram_followers":null,"facebook_followers":177,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"147946989102932","page_name":"Jenyffer Zorrilla","role":"INFLUENCER","is_primary":false,"attribution_scope":"page","profile_picture":"https://cdn.scrollstash.com/facebook/images/147946989102932/profile.jpg","instagram_handle":"ugcbyjenyffer","instagram_followers":3866,"facebook_followers":893,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"157688567417123","page_name":"Cupofshrooms","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":null,"instagram_handle":null,"instagram_followers":null,"facebook_followers":2,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"302278682957550","page_name":"Lucky Aroke","role":"INFLUENCER","is_primary":false,"attribution_scope":"domain","profile_picture":"https://cdn.scrollstash.com/facebook/images/302278682957550/profile.jpg","instagram_handle":null,"instagram_followers":null,"facebook_followers":4575,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"374280335766673","page_name":"Val U.","role":"SHADOW","is_primary":false,"attribution_scope":"page","profile_picture":"https://cdn.scrollstash.com/facebook/images/374280335766673/profile.jpg","instagram_handle":"_lifewithval","instagram_followers":1069,"facebook_followers":188,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"465729933770781","page_name":"The Berardo Productions","role":"SHADOW","is_primary":false,"attribution_scope":"page","profile_picture":"https://cdn.scrollstash.com/facebook/images/465729933770781/profile.jpg","instagram_handle":"theberardo","instagram_followers":54116,"facebook_followers":1580,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"533555976513411","page_name":"Mushroomandcoffee","role":"SHADOW","is_primary":false,"attribution_scope":"page","profile_picture":"https://cdn.scrollstash.com/facebook/images/533555976513411/profile.jpg","instagram_handle":"mushroomandcoffee","instagram_followers":8344,"facebook_followers":166,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"534668319736178","page_name":"Shroomcoffeeshop","role":"SHADOW","is_primary":false,"attribution_scope":"page","profile_picture":"https://cdn.scrollstash.com/facebook/images/534668319736178/profile.jpg","instagram_handle":null,"instagram_followers":null,"facebook_followers":1,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"538383289362562","page_name":"Drinkmushrooms","role":"SHADOW","is_primary":false,"attribution_scope":"page","profile_picture":"https://cdn.scrollstash.com/facebook/images/538383289362562/profile.jpg","instagram_handle":null,"instagram_followers":null,"facebook_followers":8,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"550442944819347","page_name":"Mushroomsips","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":"https://cdn.scrollstash.com/facebook/images/550442944819347/profile.jpg","instagram_handle":"mushroomsips","instagram_followers":7235,"facebook_followers":2,"active_ads":1,"total_ads":1,"first_ad_date":null,"last_ad_date":null},{"page_id":"102044962060433","page_name":"cajitadeskincare","role":"SHADOW","is_primary":false,"attribution_scope":"page","profile_picture":"https://scontent.fmii5-1.fna.fbcdn.net/v/t39.35426-6/570625293_1274754271003533_5018171398365225345_n.jpg?stp=dst-jpg_s60x60_tt6&_nc_cat=109&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=qya298aWERkQ7kNvwEe9Ynz&_nc_oc=AdkSP-RG6J504ExAUXUxPCYusbmhfWTdTxXSIxW_7LnS1BhRsZpX7xyfcfbe278lUVys1QslzNQz1Y5MaWM-0GBt&_nc_zt=14&_nc_ht=scontent.fmii5-1.fna&_nc_gid=8BOOPFHgAaWLrZmwVrceFA&oh=00_AfuFfa9XdakYmjNJmgt1OVu74xScb632y4rXv-pU2_v_HQ&oe=698B2E7D","instagram_handle":null,"instagram_followers":0,"facebook_followers":510,"active_ads":5,"total_ads":0,"first_ad_date":null,"last_ad_date":null},{"page_id":"104835138855877","page_name":"Shroomsandcoffee","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":null,"instagram_handle":null,"instagram_followers":null,"facebook_followers":314,"active_ads":2,"total_ads":0,"first_ad_date":null,"last_ad_date":null},{"page_id":"112402531773144","page_name":"Organic Cancervivor","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":null,"instagram_handle":null,"instagram_followers":null,"facebook_followers":null,"active_ads":8,"total_ads":0,"first_ad_date":null,"last_ad_date":null},{"page_id":"137859389411923","page_name":"Drinkfunctionalshrooms","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":null,"instagram_handle":null,"instagram_followers":null,"facebook_followers":1,"active_ads":1,"total_ads":0,"first_ad_date":null,"last_ad_date":null},{"page_id":"203456799528194","page_name":"The Habit Nutritionist","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":"https://scontent-ord5-2.xx.fbcdn.net/v/t39.35426-6/616402057_4094498580861756_8016756567792581922_n.jpg?stp=dst-jpg_s60x60_tt6&_nc_cat=104&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=3bxSyRvZMesQ7kNvwExwmJk&_nc_oc=AdmoC4vjl-DAySTtw7HYmWvdpoKpCKb1RTN-IRvhOHYBLepX1Jch97E7jvE-eyZGEPg&_nc_zt=14&_nc_ht=scontent-ord5-2.xx&_nc_gid=P2yTRLqKr7wZXeTXNVDNvA&oh=00_AfuUESwhn9z7vd7s5vCYBLIquJayzKOO3Ao8K47tbrZwdg&oe=69A0EC47","instagram_handle":null,"instagram_followers":null,"facebook_followers":34,"active_ads":2,"total_ads":0,"first_ad_date":null,"last_ad_date":null},{"page_id":"349442228245786","page_name":"Leigh UGC","role":"INFLUENCER","is_primary":false,"attribution_scope":"domain","profile_picture":"https://cdn.scrollstash.com/facebook/images/349442228245786/profile.jpg","instagram_handle":"leighugc","instagram_followers":747,"facebook_followers":353,"active_ads":8,"total_ads":0,"first_ad_date":null,"last_ad_date":null},{"page_id":"526510937220224","page_name":"Coffee.with.shrooms","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":null,"instagram_handle":null,"instagram_followers":null,"facebook_followers":9,"active_ads":2,"total_ads":0,"first_ad_date":null,"last_ad_date":null},{"page_id":"531965926673231","page_name":"Shroomsincoffee","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":null,"instagram_handle":null,"instagram_followers":null,"facebook_followers":null,"active_ads":2,"total_ads":0,"first_ad_date":null,"last_ad_date":null},{"page_id":"711491769254312","page_name":"Greg Rogstad","role":"INFLUENCER","is_primary":false,"attribution_scope":"page","profile_picture":"https://cdn.scrollstash.com/facebook/images/711491769254312/profile.jpg","instagram_handle":"gregrogstad","instagram_followers":166048,"facebook_followers":2093,"active_ads":51,"total_ads":0,"first_ad_date":null,"last_ad_date":null},{"page_id":"783461325170258","page_name":"Naturally Tati","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":null,"instagram_handle":null,"instagram_followers":null,"facebook_followers":null,"active_ads":8,"total_ads":0,"first_ad_date":null,"last_ad_date":null},{"page_id":"881295228668414","page_name":"Andre D. Woods","role":"SHADOW","is_primary":false,"attribution_scope":"domain","profile_picture":null,"instagram_handle":null,"instagram_followers":null,"facebook_followers":null,"active_ads":8,"total_ads":0,"first_ad_date":null,"last_ad_date":null}],"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands/{brandId}/leakage":{"get":{"operationId":"brands.leakage","summary":"How many of the brand's active ads run on pages it does not own: totals over every page, and the ten largest third-party pages.","description":"How many of the brand's active ads run on pages it does not own: totals over every page, and the ten largest third-party pages. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","parameters":[{"name":"brandId","in":"path","required":true,"schema":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"}]}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"attributable_active_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"owned_active_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"third_party_active_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"third_party_page_count":{"type":"integer","minimum":0,"maximum":9007199254740991},"leakage_pct":{"anyOf":[{"type":"number","minimum":0,"maximum":100},{"type":"null"}]},"top_third_party":{"type":"array","items":{"type":"object","properties":{"page_id":{"type":"string","pattern":"^\\d+$"},"page_name":{"type":"string"},"role":{"anyOf":[{"type":"string","enum":["OFFICIAL","INFLUENCER","CELEBRITY","SHADOW","SUB_BRAND","MEDIA","UNVERIFIED","UNCLASSIFIED","OTHER"]},{"type":"null"}]},"active_ads":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["page_id","page_name","role","active_ads"],"additionalProperties":false}},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"}},"required":["attributable_active_ads","owned_active_ads","third_party_active_ads","third_party_page_count","leakage_pct","top_third_party","as_of"],"additionalProperties":false},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":{"attributable_active_ads":5774,"owned_active_ads":5768,"third_party_active_ads":6,"third_party_page_count":4,"leakage_pct":0.1,"top_third_party":[{"page_id":"101073859363353","page_name":"Toyia Covington","role":"INFLUENCER","active_ads":3},{"page_id":"101206816226343","page_name":"Jordan Staten","role":"INFLUENCER","active_ads":1},{"page_id":"105897932473712","page_name":"chantee_ugc","role":"INFLUENCER","active_ads":1},{"page_id":"302278682957550","page_name":"Lucky Aroke","role":"INFLUENCER","active_ads":1}],"as_of":"2026-09-23T08:41:37.263Z"},"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands/{brandId}/copy-reuse":{"get":{"operationId":"brands.copyReuse","summary":"Ad body texts the brand runs that pages outside its linked set also run — at most twelve, by foreign ads.","description":"Ad body texts the brand runs that pages outside its linked set also run — at most twelve, by foreign ads. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","parameters":[{"name":"brandId","in":"path","required":true,"schema":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"}]}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"sample":{"type":"string"},"brand_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"foreign_pages":{"type":"integer","minimum":0,"maximum":9007199254740991},"foreign_ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"foreign_page_names":{"type":"array","items":{"type":"string"}}},"required":["sample","brand_ads","foreign_pages","foreign_ads","foreign_page_names"],"additionalProperties":false}},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":[{"sample":"RYZE is powered by functional mushrooms and adaptogens. Our creamy and delicious blend features six functional mushrooms, prebiotics, zero added sugar and 100% organic or non-GMO ingredients. These cl","brand_ads":3313,"foreign_pages":1,"foreign_ads":1,"foreign_page_names":["That's Style"]}],"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands/{brandId}/partnerships":{"get":{"operationId":"brands.partnerships","summary":"Creators the brand ran branded content with in the last 365 days, both directions, merged per creator, most ads first.","description":"Creators the brand ran branded content with in the last 365 days, both directions, merged per creator, most ads first. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","parameters":[{"name":"brandId","in":"path","required":true,"schema":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"}]}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"creator":{"type":"string"},"page_id":{"anyOf":[{"type":"string","pattern":"^\\d+$"},{"type":"null"}]},"ads":{"type":"integer","minimum":0,"maximum":9007199254740991},"first_seen":{"type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"},"last_seen":{"type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"},"followers":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["creator","page_id","ads","first_seen","last_seen","followers"],"additionalProperties":false}},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":[{"creator":"Erick Martinez Scharffenorth","page_id":"202229839650115","ads":3,"first_seen":"2025-02-19","last_seen":"2025-12-01","followers":440},{"creator":"Nina J Ortega","page_id":"114418948237045","ads":2,"first_seen":"2025-12-01","last_seen":"2025-12-30","followers":0},{"creator":"That's Style","page_id":"109657199061503","ads":2,"first_seen":"2026-08-20","last_seen":"2026-08-20","followers":1439282},{"creator":"AdamW","page_id":"1087436764676695","ads":1,"first_seen":"2026-02-06","last_seen":"2026-02-06","followers":8507465},{"creator":"Andre D. Woods","page_id":"881295228668414","ads":1,"first_seen":"2025-12-31","last_seen":"2025-12-31","followers":0},{"creator":"Jordan Staten","page_id":"101206816226343","ads":1,"first_seen":"2024-11-12","last_seen":"2024-11-12","followers":4185},{"creator":"Leigh UGC","page_id":"349442228245786","ads":1,"first_seen":"2025-11-27","last_seen":"2025-11-27","followers":0},{"creator":"Moley","page_id":"804221026112171","ads":1,"first_seen":"2026-08-20","last_seen":"2026-08-20","followers":187535},{"creator":"Naturally Tati","page_id":"783461325170258","ads":1,"first_seen":"2025-12-31","last_seen":"2025-12-31","followers":0},{"creator":"Organic Cancervivor","page_id":"112402531773144","ads":1,"first_seen":"2025-12-30","last_seen":"2025-12-30","followers":0},{"creator":"chantee_ugc","page_id":"105897932473712","ads":1,"first_seen":"2024-11-12","last_seen":"2024-11-12","followers":805}],"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brands/{brandId}/creative-library":{"get":{"operationId":"brands.creativeLibrary","summary":"A sample of the brand's active ads with stored media (half the longest-running, half the newest; at most `sample`, answered as sample_cap), plus format, CTA and longevity totals over every active ad.","description":"A sample of the brand's active ads with stored media (half the longest-running, half the newest; at most `sample`, answered as sample_cap), plus format, CTA and longevity totals over every active ad. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","parameters":[{"name":"brandId","in":"path","required":true,"schema":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"}]}},{"name":"sample","in":"query","required":false,"schema":{"default":180,"type":"integer","minimum":2,"maximum":180}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"ads":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","pattern":"^\\d+$"},"page_id":{"type":"string","pattern":"^\\d+$"},"page_name":{"type":"string"},"title":{"anyOf":[{"type":"string"},{"type":"null"}]},"body_text":{"anyOf":[{"type":"string"},{"type":"null"}]},"cta_text":{"anyOf":[{"type":"string"},{"type":"null"}]},"link_url":{"anyOf":[{"type":"string"},{"type":"null"}]},"caption":{"anyOf":[{"type":"string"},{"type":"null"}]},"format":{"type":"string","enum":["video","image","carousel","dco","other"]},"started":{"type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"},"first_seen":{"type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"},"last_seen":{"type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"},"days_observed":{"type":"integer","minimum":0,"maximum":9007199254740991},"versions":{"type":"integer","minimum":0,"maximum":9007199254740991},"platforms":{"type":"array","items":{"type":"string"}},"countries":{"type":"array","items":{"type":"string"}},"branded":{"type":"boolean"},"preview_key":{"anyOf":[{"type":"string"},{"type":"null"}]},"video_key":{"anyOf":[{"type":"string"},{"type":"null"}]},"images":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["id","page_id","page_name","title","body_text","cta_text","link_url","caption","format","started","first_seen","last_seen","days_observed","versions","platforms","countries","branded","preview_key","video_key","images"],"additionalProperties":false}},"sample_cap":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"mix":{"type":"object","properties":{"active":{"type":"integer","minimum":0,"maximum":9007199254740991},"video":{"type":"integer","minimum":0,"maximum":9007199254740991},"proven30":{"type":"integer","minimum":0,"maximum":9007199254740991},"proven90":{"type":"integer","minimum":0,"maximum":9007199254740991},"longest":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["active","video","proven30","proven90","longest"],"additionalProperties":false},"ctas":{"type":"array","items":{"type":"object","properties":{"cta":{"type":"string"},"ads":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["cta","ads"],"additionalProperties":false}},"longevity":{"type":"array","items":{"type":"object","properties":{"bucket":{"type":"string","enum":["Under a week","1–4 weeks","1–3 months","Over 3 months"]},"ads":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["bucket","ads"],"additionalProperties":false}},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"}},"required":["ads","sample_cap","mix","ctas","longevity","as_of"],"additionalProperties":false},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":{"ads":[{"id":"1079208283301126","page_id":"105897932473712","page_name":"chantee_ugc","title":"Pour Yourself a Better Cup of Coffee ☕️","body_text":"RYZE is powered by functional mushrooms and adaptogens. Our creamy and delicious blend features six functional mushrooms, healthy fat from MCT oil, zero added sugar and 100% organic or non-GMO ingredients. These clean, no BS ingredients come to you sustainably from right here in the USA to provide game-changing daily immune support and long-lasting energy in every cup. Just add water for easy prep and on-the-go wellness.\n\nTry now ➡️ www.ryzesuperfoods.com","cta_text":"Shop now","link_url":"https://www.ryzesuperfoods.com/","caption":"www.ryzesuperfoods.com","format":"video","started":"2024-11-12","first_seen":"2026-01-30","last_seen":"2026-09-23","days_observed":83,"versions":90,"platforms":["FACEBOOK","INSTAGRAM","MESSENGER"],"countries":["US"],"branded":true,"preview_key":"creatives/f1/f1bf3c55e3db92cf503bb2db4581bb93d0ec90b78f3391a9ceb15d50f8fbcc66.jpg","video_key":"creatives/ca/caa7c6b3a78210212774bb57398e748ed6d99ea92fac881bcfa0553f7f65886f.mp4","images":0},{"id":"2541192939665800","page_id":"107940537227344","page_name":"RYZE Superfoods","title":"Pour Yourself a Better Cup of Coffee ☕️","body_text":"RYZE is powered by functional mushrooms and adaptogens. Our creamy and delicious blend features six functional mushrooms, prebiotics, zero added sugar and 100% organic or non-GMO ingredients. These clean, no BS ingredients come to you sustainably from right here in the USA to provide game-changing daily immune support and long-lasting energy in every cup. Just add water for easy prep and on-the-go wellness.\n\nTry now ➡️ https://shop.ryzesuperfoods.com/fb","cta_text":"Shop now","link_url":"https://shop.ryzesuperfoods.com/fb","caption":"shop.ryzesuperfoods.com","format":"image","started":"2026-03-17","first_seen":"2026-04-24","last_seen":"2026-09-23","days_observed":77,"versions":79,"platforms":["FACEBOOK","INSTAGRAM"],"countries":["US"],"branded":false,"preview_key":"creatives/d1/d16ab38ad9b4ea5331189631a50ff9e7d70257caea96c8e3b541a52aaf1a7d67.jpg","video_key":null,"images":16},{"id":"1022523360800308","page_id":"107940537227344","page_name":"RYZE Superfoods","title":"Pour Yourself a Better Cup of Coffee ☕️","body_text":"RYZE's Ritual Set elevates coffee into a full experience. Made in the USA, this set contains 2 bags of our Iconic Mushroom Coffee with 6 Adaptogenic Mushrooms paired with a creamy, nutrient-dense probiotic creamer.\n\nIncluding handcrafted essentials made from acacia wood: a storage jar, measuring scoop, and stirring spoon, plus a travel set pack with bunch of other FREE gifts available for limited time only!\n\nTry now ➡️ https://shop.ryzesuperfoods.com/fb","cta_text":"Shop now","link_url":"https://shop.ryzesuperfoods.com/fb","caption":"shop.ryzesuperfoods.com","format":"image","started":"2026-09-22","first_seen":"2026-09-23","last_seen":"2026-09-23","days_observed":1,"versions":1,"platforms":["FACEBOOK","INSTAGRAM"],"countries":["US"],"branded":false,"preview_key":"creatives/2f/2fdc3959a4f5176fa4c2e5f2463e59b2f0eeea7df4754a7d49f503a9ae99295b.jpg","video_key":null,"images":1},{"id":"1027582233591964","page_id":"107940537227344","page_name":"RYZE Superfoods","title":"Pour Yourself a Better Cup of Coffee ☕️","body_text":"RYZE is powered by functional mushrooms and adaptogens. Our creamy and delicious blend features six functional mushrooms, prebiotics, zero added sugar and 100% organic or non-GMO ingredients. These clean, no BS ingredients come to you sustainably from right here in the USA to provide game-changing daily immune support and long-lasting energy in every cup. Just add water for easy prep and on-the-go wellness.\n\nTry now ➡️ https://shop.ryzesuperfoods.com/fb","cta_text":"Shop now","link_url":"https://shop.ryzesuperfoods.com/fb","caption":"shop.ryzesuperfoods.com","format":"video","started":"2026-09-22","first_seen":"2026-09-23","last_seen":"2026-09-23","days_observed":1,"versions":1,"platforms":["FACEBOOK","INSTAGRAM"],"countries":["US"],"branded":false,"preview_key":"creatives/e2/e2cb0b480f600c6b44418469df1d01ace2f0e5ef81acea765c25968cb5919f44.jpg","video_key":"creatives/5a/5aaef143d302af28a6e870f35e6e2eaa306d25ed692a024f773f48c85fd33d11.mp4","images":0}],"sample_cap":4,"mix":{"active":5573,"video":1435,"proven30":1020,"proven90":0,"longest":83},"ctas":[{"cta":"Shop now","ads":5419},{"cta":"Apply now","ads":152},{"cta":"Learn more","ads":2}],"longevity":[{"bucket":"Under a week","ads":2754},{"bucket":"1–4 weeks","ads":1799},{"bucket":"1–3 months","ads":1020}],"as_of":"2026-09-23T08:41:37.263Z"},"meta":{"request_id":"req_example","as_of":"2026-09-14T03:00:00.000Z"}}}}}}},"4XX":{"$ref":"#/components/responses/Error"},"5XX":{"$ref":"#/components/responses/Error"}}}},"/v1/brand-thumbs":{"get":{"operationId":"brands.thumbs","summary":"Up to four of each brand's newest live creatives with a stored image or poster. Every brand asked is answered; an empty list means none is stored.","description":"Up to four of each brand's newest live creatives with a stored image or poster. Every brand asked is answered; an empty list means none is stored. Scope `brands:read`; cache `daily`.","tags":["brands"],"security":[{"bearerAuth":[]}],"x-scope":"brands:read","x-cache":"daily","parameters":[{"name":"brands","in":"query","required":true,"schema":{"type":"string","minLength":1,"maxLength":6000}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"brand_id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"slug":{"type":"string","pattern":"^[a-z0-9][a-z0-9-]*$"},"thumbs":{"maxItems":4,"type":"array","items":{"type":"object","properties":{"ad_id":{"type":"string","pattern":"^\\d+$"},"preview_key":{"type":"string"},"video":{"type":"boolean"},"first_seen":{"type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"}},"required":["ad_id","preview_key","video","first_seen"],"additionalProperties":false}}},"required":["brand_id","slug","thumbs"],"additionalProperties":false}},"meta":{"type":"object","properties":{"request_id":{"type":"string"},"as_of":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"lag_hours":{"type":"number","minimum":0},"cursor":{"type":"string"},"count":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["request_id","as_of"],"additionalProperties":false}},"required":["data","meta"],"additionalProperties":false},"examples":{"example1":{"value":{"data":[{"brand_id":"c5f2bf14-2ce4-4393-ae15-fa2ce3d71365","slug":"ryze","thumbs":[{"ad_id":"1022523360800308","preview_key":"creatives/2f/2fdc3959a4f5176fa4c2e5f2463e59b2f0eeea7df4754a7d49f503a9ae99295b.jpg","video":false,"first_seen":"2026-09-23"},{"ad_id":"1027582233591964","preview_key":"creatives/e2/e2cb0b480f600c6b44418469df1d01ace2f0e5ef81acea765c25968cb5919f44.jpg","video":true,"first_seen":"2026-09-23"},{"ad_id":"1034908609535694","preview_key":"creatives/9f/9fcb2d9ffb02928474df844bf55c09eb2c083c9a723d1053790706c275e58323.jpg","video":true,"first_seen":"2026-09-23"},{"ad_id":"1046312775078381","preview_key":"creatives/e4/e412c0d9b5923add00a48cbd45741a0563646cbe50da9e4b74a0c25cbaae5964.jpg","video":false,"first_seen":"2026-09-23"}]},{"brand_id":"8d3865eb-f70b-431d-8c3e-0db1b9a3b548","slug":"mellow-sleep","thumbs":[{"ad_id":"1015719884822458","preview_key":"creatives/9d/9d741b1c15bdb37c0c402693ecc361b5d0be748361a0a88f5b3ed7abb3e63a63.jpg","video":true,"first_seen":"2026-09-23"},{"ad_id":"1021828810876553","preview_key":"creatives/53/539ca207b365dcaa03d4343c369d8b3a4d2466f195683ccaed3f2c86fd3215e1.jpg","video":true,"first_seen":"2026-09-23"},{"ad_id":"1021992680546369","preview_key":"creatives/9b/9b9604e9c2109cc068fe51e3f822561f3887bf2c5791f5c22406419bf626fc3f.jpg","video":true,"first_seen":"2026-09-23"},{"ad_id":"1022665997452234","preview_key":"creatives/31/3190b30ea214a144a5237c13db32e4478f296ddac735f233c4e14315ec07c3b5.jpg","video":true,"first_seen":
[...]
